aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/bin/main.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2021-08-02 17:09:28 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2021-08-02 17:09:28 +0300
commitf482b972347631240a5e04a6d3450530517f3bd1 (patch)
treecc36ab5f8bce2bd40bf37d298f3bc52d82239088 /test/bin/main.sh
parentworkflows/ci: rename to "CI" (diff)
downloadvk-scripts-f482b972347631240a5e04a6d3450530517f3bd1.tar.gz
vk-scripts-f482b972347631240a5e04a6d3450530517f3bd1.zip
.ci/ -> test/
Diffstat (limited to 'test/bin/main.sh')
-rwxr-xr-xtest/bin/main.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/bin/main.sh b/test/bin/main.sh
new file mode 100755
index 0000000..6207677
--- /dev/null
+++ b/test/bin/main.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+"$script_dir/mutuals.sh"
+
+"$script_dir/sessions.sh"
+
+"$script_dir/status_once.sh"
+"$script_dir/status.sh"